Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class ClassMapping

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.ClassMapping

public class ClassMapping
extends Object

Constructor Summary
`ClassMapping(ClassName superClass, ClassMapping superClassMapping, org.jdom.Element classElement, org.apache.commons.collections.MultiMap inheritedMeta)`
`ClassMapping(ClassName superClass, org.jdom.Element classElement, org.apache.commons.collections.MultiMap inheritedMeta)`
`ClassMapping(org.jdom.Element classElement, boolean component, org.apache.commons.collections.MultiMap inheritedMeta)`
`ClassMapping(org.jdom.Element classElement, org.apache.commons.collections.MultiMap inheritedMeta)`

Method Summary
`void` | `addImport(ClassName className)`
`void` | `addImport(String className)`
`void` | `addSubClass(ClassMapping subclassMapping)`
`List` | `getAllFields()`
`List` | `getAllFieldsForFullConstructor()`
`List` | `getAllFieldsForMinimalConstructor()`
`String` | `getCanonicalName()`
`ClassName` | `getClassName()`
`static Iterator` | `getComponents()`
`List` | `getFields()`
`List` | `getFieldsForSupersFullConstructor()`
`List` | `getFieldsForSupersMinimalConstructor()`
`String` | `getGeneratedName()`
`String` | `getGeneratedPackageName()`
`TreeSet` | `getImports()`
`List` | `getLocalFieldsForFullConstructor()`
`List` | `getLocalFieldsForMinimalConstructor()`
`boolean` | `getMetaAsBool(String attribute)`
`boolean` | `getMetaAsBool(String attribute, boolean defaultValue)`
`String` | `getMetaAsString(String attribute)` Method getMetaAsString.
`String` | `getName()`
`String` | `getPackageName()`
`String` | `getProxy()`
`List` | `getSubclasses()`
`String` | `getSuperClass()`
`ClassMapping` | `getSuperClassMapping()` Returns the superClassMapping.
`void` | `implementEquals()`
`protected void` | `initWith(ClassName superClass, org.jdom.Element classElement, boolean component, org.apache.commons.collections.MultiMap inheritedMeta)`
`boolean` | `isInterface()`
`boolean` | `mustImplementEquals()`
`boolean` | `needsMinimalConstructor()`
`boolean` | `shouldBeAbstract()` Method shouldBeAbstract.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassMapping

    public ClassMapping(ClassName superClass,
                        ClassMapping superClassMapping,
                        org.jdom.Element classElement,
                        org.apache.commons.collections.MultiMap inheritedMeta)

### ClassMapping

    public ClassMapping(ClassName superClass,
                        org.jdom.Element classElement,
                        org.apache.commons.collections.MultiMap inheritedMeta)

### ClassMapping

    public ClassMapping(org.jdom.Element classElement,
                        org.apache.commons.collections.MultiMap inheritedMeta)

### ClassMapping

    public ClassMapping(org.jdom.Element classElement,
                        boolean component,
                        org.apache.commons.collections.MultiMap inheritedMeta)

Method Detail

### initWith

    protected void initWith(ClassName superClass,
                            org.jdom.Element classElement,
                            boolean component,
                            org.apache.commons.collections.MultiMap inheritedMeta)

### implementEquals

    public void implementEquals()

### mustImplementEquals

    public boolean mustImplementEquals()

### getFields

    public List getFields()

### getImports

    public TreeSet getImports()

### getCanonicalName

    public String getCanonicalName()

### getName

    public String getName()

### getClassName

    public ClassName getClassName()

### getGeneratedName

    public String getGeneratedName()

### getProxy

    public String getProxy()

### getPackageName

    public String getPackageName()

### getGeneratedPackageName

    public String getGeneratedPackageName()

### getSubclasses

    public List getSubclasses()

### getSuperClass

    public String getSuperClass()

### needsMinimalConstructor

    public boolean needsMinimalConstructor()

### getLocalFieldsForFullConstructor

    public List getLocalFieldsForFullConstructor()

### getFieldsForSupersFullConstructor

    public List getFieldsForSupersFullConstructor()

### getLocalFieldsForMinimalConstructor

    public List getLocalFieldsForMinimalConstructor()

### getAllFields

    public List getAllFields()

### getAllFieldsForFullConstructor

    public List getAllFieldsForFullConstructor()

### getFieldsForSupersMinimalConstructor

    public List getFieldsForSupersMinimalConstructor()

### getAllFieldsForMinimalConstructor

    public List getAllFieldsForMinimalConstructor()

### addImport

    public void addImport(ClassName className)

### addImport

    public void addImport(String className)

### getComponents

    public static Iterator getComponents()

### getSuperClassMapping

    public ClassMapping getSuperClassMapping()

  Returns the superClassMapping.

  Returns:
    ClassMapping

### getMetaAsString

    public String getMetaAsString(String attribute)

  Method getMetaAsString.

  Returns:
    String

### shouldBeAbstract

    public boolean shouldBeAbstract()

  Method shouldBeAbstract.

  Returns:
    boolean

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getMetaAsBool

    public boolean getMetaAsBool(String attribute)

### getMetaAsBool

    public boolean getMetaAsBool(String attribute,
                                 boolean defaultValue)

### isInterface

    public boolean isInterface()

### addSubClass

    public void addSubClass(ClassMapping subclassMapping)

  Parameters:
    `subclassMapping` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD